/* Generated by re2c 0.16 on Mon Feb  6 11:59:53 2017 */
#line 1 "/home/mike/src/php-master/ext/psi/src/parser.re"
#include "php_psi_stdinc.h"
#include <sys/mman.h>
#include <assert.h>

#include "parser.h"

void *psi_parser_proc_init(void);
void psi_parser_proc_free(void **parser_proc);
void psi_parser_proc_parse(void *parser_proc, token_t r, struct psi_token *token, struct psi_parser *parser);
void psi_parser_proc_trace(FILE *out, char *prefix);

struct psi_parser *psi_parser_init(struct psi_parser *P, psi_error_cb error, unsigned flags)
{
	if (!P) {
		P = malloc(sizeof(*P));
	}
	memset(P, 0, sizeof(*P));

	psi_data_ctor_with_dtors(PSI_DATA(P), error, flags);

	P->col = 1;
	P->line = 1;
	P->proc = psi_parser_proc_init();

	if (flags & PSI_DEBUG) {
		psi_parser_proc_trace(stderr, "PSI> ");
	}

	return P;
}

bool psi_parser_open_file(struct psi_parser *P, const char *filename)
{
	FILE *fp = fopen(filename, "r");

	if (!fp) {
		P->error(PSI_DATA(P), NULL, PSI_WARNING,
				"Could not open '%s' for reading: %s",
				filename, strerror(errno));
		return false;
	}

	P->input.type = PSI_PARSE_FILE;
	P->input.data.file.handle = fp;

#if HAVE_MMAP
	struct stat sb;
	int fd = fileno(fp);

	if (fstat(fd, &sb)) {
		P->error(PSI_DATA(P), NULL, PSI_WARNING,
				"Could not stat '%s': %s",
				filename, strerror(errno));
		return false;
	}

	P->input.data.file.buffer = mmap(NULL, sb.st_size, PROT_READ, MAP_SHARED, fd, 0);
	if (MAP_FAILED == P->input.data.file.buffer) {
		P->error(PSI_DATA(P), NULL, PSI_WARNING,
				"Could not map '%s' for reading: %s",
				filename, strerror(errno));
		return false;
	}
	P->input.data.file.length = sb.st_size;
#else
	P->input.data.file.buffer = malloc(BSIZE);
#endif

	P->file.fn = strdup(filename);

	return true;
}

bool psi_parser_open_string(struct psi_parser *P, const char *string, size_t length)
{
	P->input.type = PSI_PARSE_STRING;
	P->input.data.string.length = length;
	if (!(P->input.data.string.buffer = strndup(string, length))) {
		return false;
	}

	P->file.fn = strdup("<input>");

	return true;
}

static ssize_t psi_parser_fill(struct psi_parser *P, size_t n)
{
	PSI_DEBUG_PRINT(P, "PSI< Fill: n=%zu (input.type=%d)\n", n, P->input.type);

	/* init if n==0 */
	if (!n) {
		switch (P->input.type) {
		case PSI_PARSE_FILE:
			P->cur = P->tok = P->mrk = P->input.data.file.buffer;
#if HAVE_MMAP
			P->eof = P->input.data.file.buffer + P->input.data.file.length;
			P->lim = P->eof;
#else
			P->eof = NULL;
			P->lim = P->input.data.file.buffer;
#endif
			break;

		case PSI_PARSE_STRING:
			P->cur = P->tok = P->mrk = P->input.data.string.buffer;
			P->eof = P->input.data.string.buffer + P->input.data.string.length;
			P->lim = P->eof;
			break;
		}

		PSI_DEBUG_PRINT(P, "PSI< Fill: cur=%p lim=%p eof=%p\n", P->cur, P->lim, P->eof);
	}

	switch (P->input.type) {
	case PSI_PARSE_STRING:
		break;

	case PSI_PARSE_FILE:
#if !HAVE_MMAP
		if (!P->eof) {
			size_t consumed = P->tok - P->buf;
			size_t reserved = P->lim - P->tok;
			size_t available = BSIZE - reserved;
			size_t didread;

			if (consumed) {
				memmove(P->buf, P->tok, reserved);
				P->tok -= consumed;
				P->cur -= consumed;
				P->lim -= consumed;
				P->mrk -= consumed;
			}

			didread = fread(P->lim, 1, available, P->fp);
			P->lim += didread;
			if (didread < available) {
				P->eof = P->lim;
			}
			PSI_DEBUG_PRINT(P, "PSI< Fill: consumed=%zu reserved=%zu available=%zu didread=%zu\n",
					consumed, reserved, available, didread);
		}
#endif
		break;
	}

	PSI_DEBUG_PRINT(P, "PSI< Fill: avail=%td\n", P->lim - P->cur);

	return P->lim - P->cur;
}

void psi_parser_parse(struct psi_parser *P, struct psi_token *T)
{
	if (T) {
		psi_parser_proc_parse(P->proc, T->type, T, P);
	} else {
		psi_parser_proc_parse(P->proc, 0, NULL, P);
	}
}

void psi_parser_dtor(struct psi_parser *P)
{
	psi_parser_proc_free(&P->proc);

	switch (P->input.type) {
	case PSI_PARSE_FILE:
		if (P->input.data.file.buffer) {
#if HAVE_MMAP
			munmap(P->input.data.file.buffer, P->input.data.file.length);
#else
			free(P->input.data.file.buffer);
#endif
		}
		if (P->input.data.file.handle) {
			fclose(P->input.data.file.handle);
		}
		break;

	case PSI_PARSE_STRING:
		if (P->input.data.string.buffer) {
			free(P->input.data.string.buffer);
		}
		break;
	}

	psi_data_dtor(PSI_DATA(P));

	memset(P, 0, sizeof(*P));
}

void psi_parser_free(struct psi_parser **P)
{
	if (*P) {
		psi_parser_dtor(*P);
		free(*P);
		*P = NULL;
	}
}

#define YYMAXFILL 10
#if BSIZE < YYMAXFILL
# error BSIZE must be greater than YYMAXFILL
#endif

#define RETURN(t) do { \
	P->num = t; \
	PSI_DEBUG_PRINT(P, "PSI< TOKEN: %d %.*s (EOF=%d %s:%u:%u)\n", \
				P->num, (int) (P->cur-P->tok), P->tok, P->num == PSI_T_EOF, \
				P->file.fn, P->line, P->col); \
	return t; \
} while(1)

#define ADDCOLS \
	P->col += P->cur - P->tok

#define NEWLINE(label) \
	P->col = 1; \
	++P->line; \
	goto label

token_t psi_parser_scan(struct psi_parser *P)
{
	if (!P->cur) {
		psi_parser_fill(P, 0);
	}
	for (;;) {
		ADDCOLS;
	nextline:
		P->tok = P->cur;
		
#line 234 "/home/mike/src/php-master/ext/psi/src/parser.c"
		{
			unsigned char yych;
			unsigned int yyaccept = 0;
			if ((P->lim - P->cur) < 10) { if (!psi_parser_fill(P,10)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '\t':
			case ' ':	goto yy4;
			case '\n':
			case '\r':	goto yy7;
			case '!':	goto yy9;
			case '"':	goto yy11;
			case '#':	goto yy12;
			case '$':	goto yy13;
			case '%':	goto yy14;
			case '&':	goto yy16;
			case '(':	goto yy18;
			case ')':	goto yy20;
			case '*':	goto yy22;
			case '+':	goto yy24;
			case ',':	goto yy26;
			case '-':	goto yy28;
			case '.':	goto yy30;
			case '/':	goto yy31;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy33;
			case ':':	goto yy36;
			case ';':	goto yy38;
			case '<':	goto yy40;
			case '=':	goto yy41;
			case '>':	goto yy43;
			case 'A':
			case 'a':	goto yy44;
			case 'B':
			case 'b':	goto yy46;
			case 'C':
			case 'c':	goto yy47;
			case 'D':
			case 'd':	goto yy48;
			case 'E':
			case 'e':	goto yy49;
			case 'F':
			case 'f':	goto yy50;
			case 'G':
			case 'H':
			case 'J':
			case 'K':
			case 'Q':
			case 'W':
			case 'X':
			case 'Y':
			case '_':
			case 'g':
			case 'h':
			case 'j':
			case 'k':
			case 'q':
			case 'w':
			case 'x':
			case 'y':	goto yy51;
			case 'I':
			case 'i':	goto yy53;
			case 'L':
			case 'l':	goto yy54;
			case 'M':
			case 'm':	goto yy55;
			case 'N':
			case 'n':	goto yy56;
			case 'O':
			case 'o':	goto yy57;
			case 'P':
			case 'p':	goto yy58;
			case 'R':
			case 'r':	goto yy59;
			case 'S':
			case 's':	goto yy60;
			case 'T':
			case 't':	goto yy61;
			case 'U':
			case 'u':	goto yy62;
			case 'V':
			case 'v':	goto yy63;
			case 'Z':
			case 'z':	goto yy64;
			case '[':	goto yy65;
			case '\\':	goto yy67;
			case ']':	goto yy68;
			case '^':	goto yy70;
			case '{':	goto yy72;
			case '|':	goto yy74;
			case '}':	goto yy76;
			case '~':	goto yy78;
			default:	goto yy2;
			}
yy2:
			++P->cur;
yy3:
#line 336 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{break;}
#line 342 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy4:
			++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '\t':
			case ' ':	goto yy4;
			default:	goto yy6;
			}
yy6:
#line 273 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{ continue; }
#line 355 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy7:
			++P->cur;
#line 272 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{ NEWLINE(nextline); }
#line 360 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy9:
			++P->cur;
#line 261 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_NOT);}
#line 365 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy11:
			yyaccept = 0;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '"':	goto yy3;
			default:	goto yy80;
			}
yy12:
			yyaccept = 0;
			yych = *(P->mrk = ++P->cur);
			goto yy83;
yy13:
			yych = *++P->cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy86;
			default:	goto yy3;
			}
yy14:
			++P->cur;
#line 262 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_MODULO);}
#line 449 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy16:
			++P->cur;
#line 263 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_AMPERSAND);}
#line 454 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy18:
			++P->cur;
#line 249 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_LPAREN);}
#line 459 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy20:
			++P->cur;
#line 250 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_RPAREN);}
#line 464 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy22:
			++P->cur;
#line 259 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_ASTERISK);}
#line 469 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy24:
			yyaccept = 1;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '.':	goto yy89;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy33;
			default:	goto yy25;
			}
yy25:
#line 264 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_PLUS);}
#line 490 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy26:
			++P->cur;
#line 252 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_COMMA);}
#line 495 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy28:
			yyaccept = 2;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '.':	goto yy89;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy33;
			default:	goto yy29;
			}
yy29:
#line 265 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_MINUS);}
#line 516 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy30:
			yyaccept = 0;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '.':	goto yy91;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy92;
			default:	goto yy3;
			}
yy31:
			yyaccept = 3;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '*':	goto yy94;
			case '/':	goto yy82;
			default:	goto yy32;
			}
yy32:
#line 266 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_SLASH);}
#line 545 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy33:
			yyaccept = 4;
			P->mrk = ++P->cur;
			if ((P->lim - P->cur) < 3) { if (!psi_parser_fill(P,3)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '.':	goto yy89;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy33;
			case 'E':
			case 'e':	goto yy96;
			default:	goto yy35;
			}
yy35:
#line 331 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_NUMBER);}
#line 570 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy36:
			++P->cur;
#line 253 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_COLON);}
#line 575 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy38:
			++P->cur;
#line 251 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_EOS);}
#line 580 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy40:
			yych = *++P->cur;
			switch (yych) {
			case '<':	goto yy97;
			default:	goto yy3;
			}
yy41:
			++P->cur;
#line 258 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_EQUALS);}
#line 591 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy43:
			yych = *++P->cur;
			switch (yych) {
			case '>':	goto yy99;
			default:	goto yy3;
			}
yy44:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy101;
			default:	goto yy52;
			}
yy45:
#line 332 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_NAME);}
#line 609 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy46:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy103;
			default:	goto yy52;
			}
yy47:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy104;
			case 'H':
			case 'h':	goto yy105;
			case 'O':
			case 'o':	goto yy106;
			default:	goto yy52;
			}
yy48:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy107;
			default:	goto yy52;
			}
yy49:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy108;
			default:	goto yy52;
			}
yy50:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy109;
			case 'L':
			case 'l':	goto yy110;
			case 'R':
			case 'r':	goto yy111;
			case 'U':
			case 'u':	goto yy112;
			default:	goto yy52;
			}
yy51:
			yyaccept = 5;
			P->mrk = ++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
yy52:
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy45;
			}
yy53:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy113;
			default:	goto yy52;
			}
yy54:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy114;
			case 'I':
			case 'i':	goto yy115;
			case 'O':
			case 'o':	goto yy116;
			default:	goto yy52;
			}
yy55:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy117;
			default:	goto yy52;
			}
yy56:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'U':
			case 'u':	goto yy118;
			default:	goto yy52;
			}
yy57:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'B':
			case 'b':	goto yy119;
			default:	goto yy52;
			}
yy58:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy120;
			default:	goto yy52;
			}
yy59:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy121;
			default:	goto yy52;
			}
yy60:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy122;
			case 'H':
			case 'h':	goto yy123;
			case 'I':
			case 'i':	goto yy124;
			case 'T':
			case 't':	goto yy125;
			default:	goto yy52;
			}
yy61:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy126;
			case 'O':
			case 'o':	goto yy127;
			case 'R':
			case 'r':	goto yy128;
			case 'Y':
			case 'y':	goto yy129;
			default:	goto yy52;
			}
yy62:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy130;
			case 'N':
			case 'n':	goto yy131;
			default:	goto yy52;
			}
yy63:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy132;
			default:	goto yy52;
			}
yy64:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'V':
			case 'v':	goto yy133;
			default:	goto yy52;
			}
yy65:
			++P->cur;
#line 256 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_LBRACKET);}
#line 851 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy67:
			yych = *++P->cur;
			switch (yych) {
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy134;
			default:	goto yy3;
			}
yy68:
			++P->cur;
#line 257 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_RBRACKET);}
#line 914 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy70:
			++P->cur;
#line 268 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_CARET);}
#line 919 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy72:
			++P->cur;
#line 254 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_LBRACE);}
#line 924 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy74:
			++P->cur;
#line 267 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_PIPE);}
#line 929 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy76:
			++P->cur;
#line 255 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_RBRACE);}
#line 934 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy78:
			++P->cur;
#line 260 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_TILDE);}
#line 939 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy80:
			++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '"':	goto yy137;
			default:	goto yy80;
			}
yy82:
			++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
yy83:
			switch (yych) {
			case '\n':	goto yy84;
			default:	goto yy82;
			}
yy84:
			++P->cur;
#line 248 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{ NEWLINE(nextline); }
#line 961 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy86:
			++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy86;
			default:	goto yy88;
			}
yy88:
#line 334 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_DOLLAR_NAME);}
#line 1035 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy89:
			yych = *++P->cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy92;
			default:	goto yy90;
			}
yy90:
			P->cur = P->mrk;
			switch (yyaccept) {
			case 0: 	goto yy3;
			case 1: 	goto yy25;
			case 2: 	goto yy29;
			case 3: 	goto yy32;
			case 4: 	goto yy35;
			case 5: 	goto yy45;
			case 6: 	goto yy136;
			case 7: 	goto yy157;
			case 8: 	goto yy159;
			case 9: 	goto yy161;
			case 10: 	goto yy169;
			case 11: 	goto yy186;
			case 12: 	goto yy189;
			case 13: 	goto yy194;
			case 14: 	goto yy198;
			case 15: 	goto yy206;
			case 16: 	goto yy209;
			case 17: 	goto yy222;
			case 18: 	goto yy230;
			case 19: 	goto yy236;
			case 20: 	goto yy238;
			case 21: 	goto yy240;
			case 22: 	goto yy247;
			case 23: 	goto yy249;
			case 24: 	goto yy252;
			case 25: 	goto yy254;
			case 26: 	goto yy262;
			case 27: 	goto yy268;
			case 28: 	goto yy287;
			case 29: 	goto yy290;
			case 30: 	goto yy295;
			case 31: 	goto yy297;
			case 32: 	goto yy304;
			case 33: 	goto yy306;
			case 34: 	goto yy308;
			case 35: 	goto yy310;
			case 36: 	goto yy313;
			case 37: 	goto yy315;
			case 38: 	goto yy317;
			case 39: 	goto yy319;
			case 40: 	goto yy321;
			case 41: 	goto yy323;
			case 42: 	goto yy325;
			case 43: 	goto yy330;
			case 44: 	goto yy340;
			case 45: 	goto yy346;
			case 46: 	goto yy348;
			case 47: 	goto yy350;
			case 48: 	goto yy352;
			case 49: 	goto yy355;
			case 50: 	goto yy360;
			case 51: 	goto yy365;
			case 52: 	goto yy368;
			case 53: 	goto yy370;
			case 54: 	goto yy372;
			case 55: 	goto yy374;
			case 56: 	goto yy376;
			case 57: 	goto yy378;
			case 58: 	goto yy382;
			case 59: 	goto yy384;
			case 60: 	goto yy386;
			case 61: 	goto yy388;
			case 62: 	goto yy390;
			default:	goto yy392;
			}
yy91:
			yych = *++P->cur;
			switch (yych) {
			case '.':	goto yy139;
			default:	goto yy90;
			}
yy92:
			yyaccept = 4;
			P->mrk = ++P->cur;
			if ((P->lim - P->cur) < 3) { if (!psi_parser_fill(P,3)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy92;
			case 'E':
			case 'e':	goto yy96;
			default:	goto yy35;
			}
yy94:
			++P->cur;
#line 247 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{ goto comment; }
#line 1149 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy96:
			yych = *++P->cur;
			switch (yych) {
			case '+':
			case '-':	goto yy141;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy142;
			default:	goto yy90;
			}
yy97:
			++P->cur;
#line 269 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_LSHIFT);}
#line 1171 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy99:
			++P->cur;
#line 270 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_RSHIFT);}
#line 1176 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy101:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy144;
			default:	goto yy52;
			}
yy102:
			++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy134;
			default:	goto yy90;
			}
yy103:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy145;
			default:	goto yy52;
			}
yy104:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy146;
			default:	goto yy52;
			}
yy105:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy147;
			default:	goto yy52;
			}
yy106:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy148;
			case 'U':
			case 'u':	goto yy149;
			default:	goto yy52;
			}
yy107:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'U':
			case 'u':	goto yy150;
			default:	goto yy52;
			}
yy108:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'U':
			case 'u':	goto yy151;
			default:	goto yy52;
			}
yy109:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy152;
			default:	goto yy52;
			}
yy110:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy153;
			default:	goto yy52;
			}
yy111:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy154;
			default:	goto yy52;
			}
yy112:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy155;
			default:	goto yy52;
			}
yy113:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy156;
			default:	goto yy52;
			}
yy114:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy158;
			default:	goto yy52;
			}
yy115:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'B':
			case 'b':	goto yy160;
			default:	goto yy52;
			}
yy116:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy162;
			default:	goto yy52;
			}
yy117:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'X':
			case 'x':	goto yy163;
			default:	goto yy52;
			}
yy118:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy164;
			default:	goto yy52;
			}
yy119:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'J':
			case 'j':	goto yy165;
			default:	goto yy52;
			}
yy120:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy166;
			default:	goto yy52;
			}
yy121:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy167;
			default:	goto yy52;
			}
yy122:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy168;
			default:	goto yy52;
			}
yy123:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy170;
			default:	goto yy52;
			}
yy124:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'G':
			case 'g':	goto yy171;
			default:	goto yy52;
			}
yy125:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy172;
			case 'R':
			case 'r':	goto yy173;
			default:	goto yy52;
			}
yy126:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'M':
			case 'm':	goto yy174;
			default:	goto yy52;
			}
yy127:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy175;
			default:	goto yy52;
			}
yy128:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'U':
			case 'u':	goto yy176;
			default:	goto yy52;
			}
yy129:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'P':
			case 'p':	goto yy177;
			default:	goto yy52;
			}
yy130:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy178;
			default:	goto yy52;
			}
yy131:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy179;
			case 'S':
			case 's':	goto yy180;
			default:	goto yy52;
			}
yy132:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy181;
			default:	goto yy52;
			}
yy133:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy182;
			default:	goto yy52;
			}
yy134:
			yyaccept = 6;
			P->mrk = ++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy134;
			case '\\':	goto yy102;
			default:	goto yy136;
			}
yy136:
#line 333 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_NSNAME);}
#line 1573 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy137:
			++P->cur;
#line 335 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_QUOTED_STRING);}
#line 1578 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy139:
			++P->cur;
#line 271 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_ELLIPSIS);}
#line 1583 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy141:
			yych = *++P->cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy142;
			default:	goto yy90;
			}
yy142:
			++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy142;
			default:	goto yy35;
			}
yy144:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy183;
			case 'V':
			case 'v':	goto yy184;
			default:	goto yy52;
			}
yy145:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy185;
			default:	goto yy52;
			}
yy146:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy187;
			default:	goto yy52;
			}
yy147:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy188;
			default:	goto yy52;
			}
yy148:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'S':
			case 's':	goto yy190;
			default:	goto yy52;
			}
yy149:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy191;
			default:	goto yy52;
			}
yy150:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'B':
			case 'b':	goto yy192;
			default:	goto yy52;
			}
yy151:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'M':
			case 'm':	goto yy193;
			default:	goto yy52;
			}
yy152:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'S':
			case 's':	goto yy195;
			default:	goto yy52;
			}
yy153:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy196;
			default:	goto yy52;
			}
yy154:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy197;
			default:	goto yy52;
			}
yy155:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy199;
			default:	goto yy52;
			}
yy156:
			yyaccept = 7;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '2':
			case '4':
			case '5':
			case '7':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '1':	goto yy200;
			case '3':	goto yy201;
			case '6':	goto yy202;
			case '8':	goto yy203;
			case 'V':
			case 'v':	goto yy204;
			case '\\':	goto yy102;
			default:	goto yy157;
			}
yy157:
#line 283 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_INT);}
#line 1787 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy158:
			yyaccept = 8;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy159;
			}
yy159:
#line 309 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_LET);}
#line 1861 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy160:
			yyaccept = 9;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy161;
			}
yy161:
#line 308 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_LIB);}
#line 1935 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy162:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'G':
			case 'g':	goto yy205;
			default:	goto yy52;
			}
yy163:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy207;
			default:	goto yy52;
			}
yy164:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy208;
			default:	goto yy52;
			}
yy165:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy210;
			case 'V':
			case 'v':	goto yy211;
			default:	goto yy52;
			}
yy166:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'H':
			case 'h':	goto yy212;
			default:	goto yy52;
			}
yy167:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'U':
			case 'u':	goto yy213;
			default:	goto yy52;
			}
yy168:
			yyaccept = 10;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy169;
			}
yy169:
#line 310 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_SET);}
#line 2059 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy170:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy214;
			default:	goto yy52;
			}
yy171:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy215;
			default:	goto yy52;
			}
yy172:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy216;
			default:	goto yy52;
			}
yy173:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy217;
			case 'L':
			case 'l':	goto yy218;
			case 'U':
			case 'u':	goto yy219;
			case 'V':
			case 'v':	goto yy220;
			default:	goto yy52;
			}
yy174:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'P':
			case 'p':	goto yy221;
			default:	goto yy52;
			}
yy175:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy223;
			case 'B':
			case 'b':	goto yy224;
			case 'F':
			case 'f':	goto yy225;
			case 'I':
			case 'i':	goto yy226;
			case 'O':
			case 'o':	goto yy227;
			case 'S':
			case 's':	goto yy228;
			default:	goto yy52;
			}
yy176:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy229;
			default:	goto yy52;
			}
yy177:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy231;
			default:	goto yy52;
			}
yy178:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy232;
			default:	goto yy52;
			}
yy179:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy233;
			default:	goto yy52;
			}
yy180:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy234;
			default:	goto yy52;
			}
yy181:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy235;
			default:	goto yy52;
			}
yy182:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy237;
			default:	goto yy52;
			}
yy183:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'Y':
			case 'y':	goto yy239;
			default:	goto yy52;
			}
yy184:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy241;
			default:	goto yy52;
			}
yy185:
			yyaccept = 11;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case 'V':
			case 'v':	goto yy242;
			case '\\':	goto yy102;
			default:	goto yy186;
			}
yy186:
#line 280 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_BOOL);}
#line 2269 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy187:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy243;
			case 'B':
			case 'b':	goto yy244;
			case 'O':
			case 'o':	goto yy245;
			default:	goto yy52;
			}
yy188:
			yyaccept = 12;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy189;
			}
yy189:
#line 281 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_CHAR);}
#line 2355 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy190:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy246;
			default:	goto yy52;
			}
yy191:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy248;
			default:	goto yy52;
			}
yy192:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy250;
			default:	goto yy52;
			}
yy193:
			yyaccept = 13;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy194;
			}
yy194:
#line 306 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_ENUM);}
#line 2453 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy195:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy251;
			default:	goto yy52;
			}
yy196:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy253;
			default:	goto yy52;
			}
yy197:
			yyaccept = 14;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy198;
			}
yy198:
#line 312 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_FREE);}
#line 2543 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy199:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy255;
			default:	goto yy52;
			}
yy200:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '6':	goto yy256;
			default:	goto yy52;
			}
yy201:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '2':	goto yy257;
			default:	goto yy52;
			}
yy202:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '4':	goto yy258;
			default:	goto yy52;
			}
yy203:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy259;
			default:	goto yy52;
			}
yy204:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy260;
			default:	goto yy52;
			}
yy205:
			yyaccept = 15;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy206;
			}
yy206:
#line 284 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_LONG);}
#line 2661 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy207:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy261;
			default:	goto yy52;
			}
yy208:
			yyaccept = 16;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy209;
			}
yy209:
#line 276 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_NULL);}
#line 2743 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy210:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy263;
			default:	goto yy52;
			}
yy211:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy264;
			default:	goto yy52;
			}
yy212:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'V':
			case 'v':	goto yy265;
			default:	goto yy52;
			}
yy213:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy266;
			default:	goto yy52;
			}
yy214:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy267;
			default:	goto yy52;
			}
yy215:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy269;
			default:	goto yy52;
			}
yy216:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy270;
			default:	goto yy52;
			}
yy217:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy271;
			default:	goto yy52;
			}
yy218:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy272;
			default:	goto yy52;
			}
yy219:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy273;
			default:	goto yy52;
			}
yy220:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy274;
			default:	goto yy52;
			}
yy221:
			yyaccept = 17;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy222;
			}
yy222:
#line 313 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_TEMP);}
#line 2905 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy223:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy275;
			default:	goto yy52;
			}
yy224:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy276;
			default:	goto yy52;
			}
yy225:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy277;
			default:	goto yy52;
			}
yy226:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy278;
			default:	goto yy52;
			}
yy227:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'B':
			case 'b':	goto yy279;
			default:	goto yy52;
			}
yy228:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy280;
			default:	goto yy52;
			}
yy229:
			yyaccept = 18;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy230;
			}
yy230:
#line 274 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_TRUE);}
#line 3027 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy231:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy281;
			default:	goto yy52;
			}
yy232:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '1':	goto yy282;
			case '3':	goto yy283;
			case '6':	goto yy284;
			case '8':	goto yy285;
			default:	goto yy52;
			}
yy233:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy286;
			default:	goto yy52;
			}
yy234:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'G':
			case 'g':	goto yy288;
			default:	goto yy52;
			}
yy235:
			yyaccept = 19;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy236;
			}
yy236:
#line 279 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_VOID);}
#line 3135 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy237:
			yyaccept = 20;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy238;
			}
yy238:
#line 322 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_ZVAL);}
#line 3209 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy239:
			yyaccept = 21;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy240;
			}
yy240:
#line 298 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_ARRAY);}
#line 3283 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy241:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy289;
			default:	goto yy52;
			}
yy242:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy291;
			default:	goto yy52;
			}
yy243:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'B':
			case 'b':	goto yy292;
			default:	goto yy52;
			}
yy244:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy293;
			default:	goto yy52;
			}
yy245:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy294;
			default:	goto yy52;
			}
yy246:
			yyaccept = 22;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy247;
			}
yy247:
#line 307 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_CONST);}
#line 3397 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy248:
			yyaccept = 23;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy249;
			}
yy249:
#line 323 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_COUNT);}
#line 3471 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy250:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy296;
			default:	goto yy52;
			}
yy251:
			yyaccept = 24;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy252;
			}
yy252:
#line 275 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_FALSE);}
#line 3553 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy253:
			yyaccept = 25;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case 'V':
			case 'v':	goto yy298;
			case '\\':	goto yy102;
			default:	goto yy254;
			}
yy254:
#line 285 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_FLOAT);}
#line 3627 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy255:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy299;
			default:	goto yy52;
			}
yy256:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy300;
			default:	goto yy52;
			}
yy257:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy301;
			default:	goto yy52;
			}
yy258:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy302;
			default:	goto yy52;
			}
yy259:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy303;
			default:	goto yy52;
			}
yy260:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy305;
			default:	goto yy52;
			}
yy261:
			yyaccept = 26;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy262;
			}
yy262:
#line 277 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_MIXED);}
#line 3746 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy263:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy307;
			default:	goto yy52;
			}
yy264:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy309;
			default:	goto yy52;
			}
yy265:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy311;
			default:	goto yy52;
			}
yy266:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy312;
			default:	goto yy52;
			}
yy267:
			yyaccept = 27;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy268;
			}
yy268:
#line 282 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_SHORT);}
#line 3852 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy269:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy314;
			default:	goto yy52;
			}
yy270:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy316;
			default:	goto yy52;
			}
yy271:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'G':
			case 'g':	goto yy318;
			default:	goto yy52;
			}
yy272:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy320;
			default:	goto yy52;
			}
yy273:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy322;
			default:	goto yy52;
			}
yy274:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy324;
			default:	goto yy52;
			}
yy275:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy326;
			default:	goto yy52;
			}
yy276:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy327;
			default:	goto yy52;
			}
yy277:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy328;
			default:	goto yy52;
			}
yy278:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy329;
			default:	goto yy52;
			}
yy279:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'J':
			case 'j':	goto yy331;
			default:	goto yy52;
			}
yy280:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy332;
			default:	goto yy52;
			}
yy281:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy333;
			default:	goto yy52;
			}
yy282:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '6':	goto yy334;
			default:	goto yy52;
			}
yy283:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '2':	goto yy335;
			default:	goto yy52;
			}
yy284:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '4':	goto yy336;
			default:	goto yy52;
			}
yy285:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy337;
			default:	goto yy52;
			}
yy286:
			yyaccept = 28;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy287;
			}
yy287:
#line 305 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_UNION);}
#line 4058 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy288:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy338;
			default:	goto yy52;
			}
yy289:
			yyaccept = 29;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy290;
			}
yy290:
#line 320 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_ARRVAL);}
#line 4140 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy291:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy339;
			default:	goto yy52;
			}
yy292:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy341;
			default:	goto yy52;
			}
yy293:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy342;
			default:	goto yy52;
			}
yy294:
			yyaccept = 30;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy295;
			}
yy295:
#line 324 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_CALLOC);}
#line 4238 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy296:
			yyaccept = 31;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy297;
			}
yy297:
#line 286 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_DOUBLE);}
#line 4312 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy298:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy343;
			default:	goto yy52;
			}
yy299:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy344;
			default:	goto yy52;
			}
yy300:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy345;
			default:	goto yy52;
			}
yy301:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy347;
			default:	goto yy52;
			}
yy302:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy349;
			default:	goto yy52;
			}
yy303:
			yyaccept = 32;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy304;
			}
yy304:
#line 287 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_INT8);}
#line 4426 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy305:
			yyaccept = 33;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy306;
			}
yy306:
#line 317 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_INTVAL);}
#line 4500 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy307:
			yyaccept = 34;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy308;
			}
yy308:
#line 299 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_OBJECT);}
#line 4574 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy309:
			yyaccept = 35;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy310;
			}
yy310:
#line 321 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_OBJVAL);}
#line 4648 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy311:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy351;
			default:	goto yy52;
			}
yy312:
			yyaccept = 36;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy313;
			}
yy313:
#line 311 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_RETURN);}
#line 4730 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy314:
			yyaccept = 37;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy315;
			}
yy315:
#line 296 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_SIGNED);}
#line 4804 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy316:
			yyaccept = 38;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy317;
			}
yy317:
#line 301 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_STATIC);}
#line 4878 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy318:
			yyaccept = 39;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy319;
			}
yy319:
#line 297 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_STRING);}
#line 4952 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy320:
			yyaccept = 40;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy321;
			}
yy321:
#line 314 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_STRLEN);}
#line 5026 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy322:
			yyaccept = 41;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy323;
			}
yy323:
#line 304 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_STRUCT);}
#line 5100 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy324:
			yyaccept = 42;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy325;
			}
yy325:
#line 315 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_STRVAL);}
#line 5174 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy326:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy353;
			default:	goto yy52;
			}
yy327:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy354;
			default:	goto yy52;
			}
yy328:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy356;
			default:	goto yy52;
			}
yy329:
			yyaccept = 43;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy330;
			}
yy330:
#line 328 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_TO_INT);}
#line 5272 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy331:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy357;
			default:	goto yy52;
			}
yy332:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy358;
			default:	goto yy52;
			}
yy333:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'F':
			case 'f':	goto yy359;
			default:	goto yy52;
			}
yy334:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy361;
			default:	goto yy52;
			}
yy335:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy362;
			default:	goto yy52;
			}
yy336:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy363;
			default:	goto yy52;
			}
yy337:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy364;
			default:	goto yy52;
			}
yy338:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy366;
			default:	goto yy52;
			}
yy339:
			yyaccept = 44;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy340;
			}
yy340:
#line 319 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_BOOLVAL);}
#line 5407 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy341:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy367;
			default:	goto yy52;
			}
yy342:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'K':
			case 'k':	goto yy369;
			default:	goto yy52;
			}
yy343:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy371;
			default:	goto yy52;
			}
yy344:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy373;
			default:	goto yy52;
			}
yy345:
			yyaccept = 45;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy346;
			}
yy346:
#line 289 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_INT16);}
#line 5513 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy347:
			yyaccept = 46;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy348;
			}
yy348:
#line 291 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_INT32);}
#line 5587 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy349:
			yyaccept = 47;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy350;
			}
yy350:
#line 293 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_INT64);}
#line 5661 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy351:
			yyaccept = 48;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy352;
			}
yy352:
#line 316 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_PATHVAL);}
#line 5735 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy353:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'Y':
			case 'y':	goto yy375;
			default:	goto yy52;
			}
yy354:
			yyaccept = 49;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy355;
			}
yy355:
#line 330 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_TO_BOOL);}
#line 5817 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy356:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy377;
			default:	goto yy52;
			}
yy357:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy379;
			default:	goto yy52;
			}
yy358:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy380;
			default:	goto yy52;
			}
yy359:
			yyaccept = 50;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy360;
			}
yy360:
#line 303 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_TYPEDEF);}
#line 5915 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy361:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy381;
			default:	goto yy52;
			}
yy362:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy383;
			default:	goto yy52;
			}
yy363:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy385;
			default:	goto yy52;
			}
yy364:
			yyaccept = 51;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy365;
			}
yy365:
#line 288 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_UINT8);}
#line 6013 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy366:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy387;
			default:	goto yy52;
			}
yy367:
			yyaccept = 52;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy368;
			}
yy368:
#line 278 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_CALLABLE);}
#line 6095 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy369:
			yyaccept = 53;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy370;
			}
yy370:
#line 300 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_CALLBACK);}
#line 6169 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy371:
			yyaccept = 54;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy372;
			}
yy372:
#line 318 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_FLOATVAL);}
#line 6243 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy373:
			yyaccept = 55;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy374;
			}
yy374:
#line 302 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_FUNCTION);}
#line 6317 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy375:
			yyaccept = 56;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy376;
			}
yy376:
#line 326 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_TO_ARRAY);}
#line 6391 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy377:
			yyaccept = 57;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy378;
			}
yy378:
#line 329 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_TO_FLOAT);}
#line 6465 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy379:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy389;
			default:	goto yy52;
			}
yy380:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'G':
			case 'g':	goto yy391;
			default:	goto yy52;
			}
yy381:
			yyaccept = 58;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy382;
			}
yy382:
#line 290 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_UINT16);}
#line 6555 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy383:
			yyaccept = 59;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy384;
			}
yy384:
#line 292 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_UINT32);}
#line 6629 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy385:
			yyaccept = 60;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy386;
			}
yy386:
#line 294 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_UINT64);}
#line 6703 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy387:
			yyaccept = 61;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy388;
			}
yy388:
#line 295 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_UNSIGNED);}
#line 6777 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy389:
			yyaccept = 62;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy390;
			}
yy390:
#line 325 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_TO_OBJECT);}
#line 6851 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy391:
			yyaccept = 63;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy51;
			case '\\':	goto yy102;
			default:	goto yy392;
			}
yy392:
#line 327 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{RETURN(PSI_T_TO_STRING);}
#line 6925 "/home/mike/src/php-master/ext/psi/src/parser.c"
		}
#line 337 "/home/mike/src/php-master/ext/psi/src/parser.re"


	comment:
		P->tok = P->cur;
		
#line 6933 "/home/mike/src/php-master/ext/psi/src/parser.c"
		{
			unsigned char yych;
			if ((P->lim - P->cur) < 2) { if (!psi_parser_fill(P,2)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '\n':	goto yy397;
			case '*':	goto yy399;
			default:	goto yy395;
			}
yy395:
			++P->cur;
yy396:
#line 344 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{ goto comment; }
#line 6948 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy397:
			++P->cur;
#line 342 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{ NEWLINE(comment); }
#line 6953 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy399:
			yych = *++P->cur;
			switch (yych) {
			case '/':	goto yy400;
			default:	goto yy396;
			}
yy400:
			++P->cur;
#line 343 "/home/mike/src/php-master/ext/psi/src/parser.re"
			{ continue; }
#line 6964 "/home/mike/src/php-master/ext/psi/src/parser.c"
		}
#line 345 "/home/mike/src/php-master/ext/psi/src/parser.re"

	}
	return -1;
}
